- name: Make some assertions about ACL rules
  ansible.builtin.assert:
    that:
      - "'chain' in rule"
      - "'target' in rule"
    fail_msg: "Make sure a chain and target are defined in all rules in {{ acl }}"
  loop: "{{ acl.rules }}"
  loop_control:
    loop_var: rule
  when: ('rules' in acl)

- name: Configure ACL
  ansible.builtin.template:
    src: acl.rules.j2
    dest: /etc/cumulus/acl/policy.d/{{ acl.name }}.rules
    owner: root
    group: root
    mode: 0644
  notify:
    - install_acl
  tags:
    - acl
